src/main/java/maxempresarial/controlador/cadastro/FilialBean.java
package maxempresarial.controlador.cadastro;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.imageio.ImageIO;
import javax.inject.Inject;
import javax.inject.Named;

import org.hibernate.validator.constraints.NotBlank;
import org.primefaces.context.RequestContext;
import org.primefaces.event.SelectEvent;
import org.primefaces.model.UploadedFile;

import maxempresarial.modelo.Cidade;
import maxempresarial.modelo.Contato;
import maxempresarial.modelo.Empresa;
import maxempresarial.modelo.Endereco;
import maxempresarial.modelo.Estado;
import maxempresarial.modelo.Filial;
import maxempresarial.modelo.Pais;
import maxempresarial.modelo.Telefone;
import maxempresarial.modelo.enumTipo.RamoAtividade;
import maxempresarial.modelo.enumTipo.TipoTelefone;
import maxempresarial.modelo.enumTipo.TiposSimplesNacional;
import maxempresarial.modelo.enumTipo.TiposSimplesNacionalIssqn;
import maxempresarial.repositorio.dao.ExcecaoDAO;
import maxempresarial.repositorio.filtro.CidadeFiltro;
import maxempresarial.repositorio.filtro.EstadoFiltro;
import maxempresarial.repositorio.filtro.PaisFiltro;
import maxempresarial.repositorio.pesquisa.CidadePesquisa;
import maxempresarial.repositorio.pesquisa.EstadoPesquisa;
import maxempresarial.repositorio.pesquisa.PaisPesquisa;
import maxempresarial.servico.ExcecaoRN;
import maxempresarial.servico.FilialServico;
import maxempresarial.util.jsf.FacesUtil;

@Named
@ViewScoped
public class FilialBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private FilialServico filialServico;

	@Inject
	private EstadoPesquisa estadoPesquisa;

	@Inject
	private CidadePesquisa cidadePesquisa;

	@Inject
	private PaisPesquisa paisPesquisa;

	private Filial filial;
	private Endereco endereco;
	private Contato contato;
	private Telefone telefone;
	private UploadedFile uploadArquivo;

	private List<Estado> estadosEndereco;
	private List<Estado> estadosTelefone;
	private List<Cidade> cidades;
	private List<Pais> paises = new ArrayList<>();

	public FilialBean() {
		this.limpar();
	}

	@PostConstruct
	public void inicializar() {
		if (this.filial == null) {
			this.limpar();
		}
		this.paises = this.paisPesquisa.filtrados(new PaisFiltro());
	}

	private void limpar() {
		this.filial = new Filial();
		this.endereco = new Endereco();
		this.estadosEndereco = new ArrayList<>();
		this.estadosTelefone = new ArrayList<>();
		this.cidades = new ArrayList<>();
		this.contato = new Contato();
		this.telefone = new Telefone();
	}

	public void adicionarEndereco() {
		this.endereco = new Endereco();
		this.estadosEndereco = new ArrayList<>();
		this.cidades = new ArrayList<>();
	}

	public void adicionarContato() {
		this.contato = new Contato();
	}

	public void adicionarTelefone() {
		this.telefone = new Telefone();
		this.estadosTelefone = new ArrayList<>();
	}

	public void salvarFilial() {
		try {
			if (this.uploadArquivo != null) {
				this.filial.setLogo(this.uploadArquivo.getContents());
			}
			this.filial = this.filialServico.salvar(this.filial);
			this.limpar();

			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_detalhes"));
		} catch (ExcecaoRN ern) {
			FacesUtil.mensagemAviso(FacesUtil.getMensagemInternacionalizacao("atencao_mensagem"), FacesUtil.getMensagemInternacionalizacao(ern.getMessage()));
		} catch (ExcecaoDAO edao) {
			FacesUtil.mensagemErro(FacesUtil.getMensagemInternacionalizacao("salvo_falha_mensagem"), edao.getMessage());
		}
	}

	public void inserirEndereco() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		if (this.endereco.getPk() == null) {
			this.filial.getEnderecos().add(this.endereco);
			adicionado = true;
			this.endereco = new Endereco();
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		} else if (this.endereco != null) {
			adicionado = true;
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void inserirContato() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		if (this.contato.getPk() == null) {
			this.filial.getContatos().add(this.contato);
			adicionado = true;
			this.contato = new Contato();
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		} else if (this.contato != null) {
			adicionado = true;
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void inserirTelefone() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		if (this.telefone.getPk() == null) {
			this.filial.getTelefones().add(this.telefone);
			adicionado = true;
			this.telefone = new Telefone();
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		} else if (this.telefone != null) {
			adicionado = true;
			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("inserido_corretamente_detalhes"));
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void abrirDialogoCidade() {
		Map<String, Object> opcoes = new HashMap<>();
		opcoes.put("modal", true);
		opcoes.put("resizable", false);
		opcoes.put("contentHeight", 470);

		RequestContext.getCurrentInstance().openDialog("/dialogos/selecaoCidade", opcoes, null);
	}

	public void selecionarCidade(Cidade cidade) {
		RequestContext.getCurrentInstance().closeDialog(cidade);
	}

	public void cidadeSelecionada(SelectEvent event) {
		this.telefone.setDdd((Cidade) event.getObject());
	}

	public void excluirEndereco() {
		if (this.endereco != null) {
			this.filial.getEnderecos().remove(this.endereco);
		}
	}

	public void excluirContato() {
		if (this.contato != null) {
			this.filial.getContatos().remove(this.contato);
		}
	}

	public void excluirTelefone() {
		if (this.telefone != null) {
			this.filial.getTelefones().remove(this.telefone);
		}
	}

	public void empresaSelecionada(SelectEvent event) {
		this.filial.setEmpresa((Empresa) event.getObject());
	}

	public boolean isEditandoFilial() {
		return this.filial.getPk() != null;
	}

	public boolean isFaseRenderizacao() {
		if (FacesContext.getCurrentInstance().getCurrentPhaseId().getName().equals("RENDER_RESPONSE")) {
			return true;
		} else {
			return false;
		}

	}

	public TiposSimplesNacional[] getTiposSimplesNacional() {
		return TiposSimplesNacional.values();
	}

	public TiposSimplesNacionalIssqn[] getTiposSimplesNacionalIssqn() {
		return TiposSimplesNacionalIssqn.values();
	}

	public TipoTelefone[] getTipoTelefone() {
		return TipoTelefone.values();
	}

	public RamoAtividade[] getRamo() {
		return RamoAtividade.values();
	}

	public Filial getFilial() {
		return filial;
	}

	public void setFilial(Filial filial) {
		this.filial = filial;
	}

	public Endereco getEndereco() {
		return endereco;
	}

	public void setEndereco(Endereco endereco) {
		this.endereco = endereco;
	}

	public Contato getContato() {
		return contato;
	}

	public void setContato(Contato contato) {
		this.contato = contato;
	}

	public Telefone getTelefone() {
		return telefone;
	}

	public void setTelefone(Telefone telefone) {
		this.telefone = telefone;
	}

	public List<Estado> getEstadosEndereco() {
		this.estadosEndereco.clear();
		if (this.endereco.getPais() != null) {
			EstadoFiltro filtro = new EstadoFiltro();
			filtro.setPais(this.telefone.getDdi());
			return estadosEndereco = this.estadoPesquisa.filtrados(filtro);
		}
		return null;
	}

	public List<Estado> getEstadosTelefone() {
		this.estadosTelefone.clear();
		if (this.telefone.getDdi() != null) {
			EstadoFiltro filtro = new EstadoFiltro();
			filtro.setPais(this.telefone.getDdi());
			return estadosTelefone = this.estadoPesquisa.filtrados(filtro);
		}
		return null;
	}

	public List<Cidade> getCidades() {
		this.cidades.clear();
		if (this.endereco.getEstado() != null) {
			CidadeFiltro filtro = new CidadeFiltro();
			filtro.setEstado(this.endereco.getEstado());
			return cidades = this.cidadePesquisa.filtrados(filtro);
		}
		return null;
	}

	public List<Pais> getPaises() {
		return paises;
	}

	public UploadedFile getUploadArquivo() {
		return uploadArquivo;
	}

	public void setUploadArquivo(UploadedFile uploadArquivo) {
		this.uploadArquivo = uploadArquivo;
	}

	public BufferedImage getLogo() throws IOException {
		if (this.filial.getLogo() != null) {
			return ImageIO.read(new ByteArrayInputStream(this.filial.getLogo()));
		}
		return null;
	}

	@NotBlank(message = "Empresa não pode esta vazia.")
	public String getNomeEmpresa() {
		return this.filial.getEmpresa() == null ? null : this.filial.getEmpresa().getNomeFantasia();
	}

	// metodo para burlar erro do JSF
	public void setNomeEmpresa(String nome) {
	}

	@NotBlank(message = "DDD não pode esta vazia.")
	public String getDdd() {

src/main/java/maxempresarial/controlador/cadastro/PaisBean.java
package maxempresarial.controlador.cadastro;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.imageio.ImageIO;
import javax.inject.Inject;
import javax.inject.Named;

import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.primefaces.context.RequestContext;
import org.primefaces.model.LazyDataModel;
import org.primefaces.model.SortOrder;
import org.primefaces.model.UploadedFile;

import maxempresarial.modelo.Pais;
import maxempresarial.repositorio.dao.ExcecaoDAO;
import maxempresarial.repositorio.filtro.PaisFiltro;
import maxempresarial.repositorio.pesquisa.PaisPesquisa;
import maxempresarial.servico.ExcecaoRN;
import maxempresarial.servico.PaisServico;
import maxempresarial.util.jsf.FacesUtil;

@Named
@ViewScoped
public class PaisBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private PaisServico paisServico;

	@Inject
	private PaisPesquisa paisPesquisa;

	private Pais pais;
	private UploadedFile uploadArquivo = null;
	private PaisFiltro filtro;
	private LazyDataModel<Pais> lazyPaises;

	@PostConstruct
	public void inicializar() {
		this.filtro = new PaisFiltro();

		this.lazyPaises = new LazyDataModel<Pais>() {

			private static final long serialVersionUID = 1L;

			@Override
			public List<Pais> load(int primeiroRegistro, int quantidadeRegistros, String propriedadeOrdenacao, SortOrder ascendente,
					Map<String, Object> filters) {

				filtro.setPrimeiroRegistro(primeiroRegistro);
				filtro.setQuantidadeDeRegistros(quantidadeRegistros);
				filtro.setPropriedadeParaOrdenacao(propriedadeOrdenacao);
				filtro.setAscendente(SortOrder.ASCENDING.equals(ascendente));

				this.setRowCount(paisPesquisa.quantidadePaisesFiltrados(filtro));

				return paisPesquisa.filtrados(filtro);
			}

		};
	}

	public void adicionar() {
		this.pais = new Pais();
	}

	public void salvarPais() {
		RequestContext context = RequestContext.getCurrentInstance();
		boolean adicionado = false;

		try {
			if (this.uploadArquivo != null) {
				this.pais.setBandeira(this.uploadArquivo.getContents());
			}
			this.pais = this.paisServico.salvar(this.pais);
			adicionado = true;
			this.pais = new Pais();

			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("salvo_corretamente_detalhes"));
		} catch (ExcecaoRN ern) {
			FacesUtil.mensagemAviso(FacesUtil.getMensagemInternacionalizacao("atencao_mensagem"), FacesUtil.getMensagemInternacionalizacao(ern.getMessage()));
		} catch (ExcecaoDAO edao) {
			FacesUtil.mensagemErro(FacesUtil.getMensagemInternacionalizacao("salvo_falha_mensagem"), edao.getMessage());
		}
		context.addCallbackParam("adicionado", adicionado);
	}

	public void posProcessarXls(Object documento) {
		HSSFWorkbook planilha = (HSSFWorkbook) documento;
		HSSFSheet folha = planilha.getSheetAt(0);
		HSSFRow cabecalho = folha.getRow(0);
		HSSFCellStyle estiloDaCelula = planilha.createCellStyle();
		Font fonteDoCabecalho = planilha.createFont();

		fonteDoCabecalho.setColor(IndexedColors.WHITE.getIndex());
		fonteDoCabecalho.setBold(true);
		fonteDoCabecalho.setFontHeightInPoints((short) 13);

		estiloDaCelula.setFont(fonteDoCabecalho);
		estiloDaCelula.setFillForegroundColor(IndexedColors.BLACK.getIndex());
		estiloDaCelula.setFillPattern(FillPatternType.SOLID_FOREGROUND);

		for (int i = 0; i < cabecalho.getPhysicalNumberOfCells(); i++) {
			cabecalho.getCell(i).setCellStyle(estiloDaCelula);
		}

	}

	public void excluir() {
		try {
			this.paisServico.excluir(this.pais);

			FacesUtil.mensagemInformacao(FacesUtil.getMensagemInternacionalizacao("exclusao_corretamente_mensagem"),
					FacesUtil.getMensagemInternacionalizacao("exclusao_corretamente_detalhes"));
		} catch (ExcecaoRN ern) {
			FacesUtil.mensagemAviso(FacesUtil.getMensagemInternacionalizacao("atencao_mensagem"), FacesUtil.getMensagemInternacionalizacao(ern.getMessage()));
		} catch (ExcecaoDAO edao) {
			FacesUtil.mensagemErro(FacesUtil.getMensagemInternacionalizacao("exclusao_falha_mensagem"), edao.getMessage());
		}
	}

	public Pais getPais() {
		return this.pais == null ? null : this.pais;
	}

	public void setPais(Pais pais) {
		this.pais = pais;
	}

	public PaisFiltro getFiltro() {
		return filtro;
	}

	public LazyDataModel<Pais> getLazyPaises() {
		return lazyPaises;
	}

	public UploadedFile getUploadArquivo() {
		return uploadArquivo;
	}

	public void setUploadArquivo(UploadedFile uploadArquivo) {
		this.uploadArquivo = uploadArquivo;
	}

	public BufferedImage getBandeira() throws IOException {
		if (this.pais.getBandeira() != null) {
			return ImageIO.read(new ByteArrayInputStream(this.pais.getBandeira()));
		}
		return null;
	}

}

src/main/webapp/filiais/auditoriaFilial.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://primefaces.org/ui" xmlns:o="http://omnifaces.org/ui">

	<h:form id="frmAuditoria">
		<p:panelGrid id="painelAuditoriaFilial" columns="3" columnClasses="ui-grid-col-2,ui-grid-col-2,ui-grid-col-2" layout="grid" styleClass="ui-panelgrid-blank">
			<p:outputLabel value="#{msg.auditoria_incluiu_por}" styleClass="estilo-campo" />
			<p:inputText value="#{filialBean.filial.auditoria.usuarioIncluiu}" disabled="true" styleClass="estilo-campo" />
			<p:calendar value="#{filialBean.filial.auditoria.dataInclusao}" pattern="dd/MM/yyyy HH:mm:ss" disabled="true" styleClass="estilo-campo" />

			<p:outputLabel value="#{msg.auditoria_alterado_por}" styleClass="estilo-campo" />
			<p:inputText value="#{filialBean.filial.auditoria.usuarioAlterou}" disabled="true" styleClass="estilo-campo" />
			<p:calendar value="#{filialBean.filial.auditoria.dataAlteracao}" pattern="dd/MM/yyyy HH:mm:ss" disabled="true" styleClass="estilo-campo" />
		</p:panelGrid>
	</h:form>
</ui:composition>

src/main/webapp/filiais/cadastroFilial.xhtml
<ui:composition template="/WEB-INF/templates/layoutPadrao.xhtml" xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://primefaces.org/ui" xmlns:o="http://omnifaces.org/ui">

	<ui:define name="titulo">#{filialBean.editandoFilial ? msg.subtitulo_cadastro_filial_edicao : msg.subtitulo_cadastro_filial_novo}</ui:define>

	<ui:define name="conteudo">
		<f:metadata>
			<o:viewParam name="filial" value="#{filialBean.filial}" />
			<f:viewAction action="#{filialBean.inicializar}" />
		</f:metadata>

		<h:form id="frmCadastroFilial" enctype="multipart/form-data">

			<h2>#{filialBean.editandoFilial ? msg.subtitulo_cadastro_filial_edicao : msg.subtitulo_cadastro_filial_novo}</h2>

			<p:toolbar>
				<f:facet name="left">
					<p:button value="#{msg.botao_novo}" outcome="/filiais/cadastroFilial" id="botaoNova" />
					<span class="ui-separator"> <span class="ui-icon ui-icon-grip-dotted-vertical" />
					</span>
					<p:commandButton value="#{msg.botao_salvar}" id="botaoSalvar" action="#{filialBean.salvarFilial}" update="@(form)" ajax="false" />
				</f:facet>
				<f:facet name="right">
					<p:button value="#{msg.botao_pesquisa}" outcome="/filiais/pesquisaFiliais" />
				</f:facet>
			</p:toolbar>

			<p:panelGrid id="painelCadastroFilial" columns="3" columnClasses="ui-grid-col-2,ui-grid-col-4,ui-grid-col-1" layout="grid" styleClass="ui-panelgrid-blank">

				<p:outputLabel for="codigo" value="#{msg.cadastro_filial_codigo}" styleClass="estilo-campo" />
				<p:inputText id="codigo" value="#{filialBean.filial.pk}" disabled="true" styleClass="estilo-campo" />
				<p:spacer />

				<p:outputLabel value="#{msg.cadastro_filial_empresa}" for="empresa" styleClass="estilo-campo" />
				<p:inputText id="empresa" value="#{filialBean.nomeEmpresa}" styleClass="estilo-campo" readonly="#{filialBean.faseRenderizacao}" />
				<p:commandButton icon="fa fa-search" process="@this" update="@none" action="#{empresaBean.abrirDialogo}" ignoreAutoUpdate="true">
					<p:ajax event="dialogReturn" listener="#{filialBean.empresaSelecionada}" update="empresa" ignoreAutoUpdate="true" />
				</p:commandButton>

				<p:outputLabel for="nomeFantasia" value="#{msg.cadastro_filial_nome_fantasia}" styleClass="estilo-campo" />
				<p:inputText id="nomeFantasia" value="#{filialBean.filial.nomeFantasia}" styleClass="estilo-campo" />
				<p:message for="nomeFantasia" display="icon" />

				<p:outputLabel for="nomeRazaoSocial" value="#{msg.cadastro_filial_razao_social}" styleClass="estilo-campo" />
				<p:inputText id="nomeRazaoSocial" value="#{filialBean.filial.razaoSocial}" styleClass="estilo-campo" />
				<p:message for="nomeRazaoSocial" display="icon" />

				<p:outputLabel for="cnpj" value="#{msg.cadastro_filial_cnpj}" styleClass="estilo-campo" />
				<p:inputMask id="cnpj" mask="99.999.999/9999-99" value="#{filialBean.filial.cnpj}" styleClass="estilo-campo" />
				<p:message for="cnpj" display="icon" />

				<p:outputLabel for="inscricaoEstadual" value="#{msg.cadastro_filial_ie}" styleClass="estilo-campo" />
				<p:inputText id="inscricaoEstadual" value="#{filialBean.filial.inscricaoEstadual}" styleClass="estilo-campo" />
				<p:message for="inscricaoEstadual" display="icon" />

				<p:outputLabel for="inscricaoMunicipal" value="#{msg.cadastro_filial_im}" styleClass="estilo-campo" />
				<p:inputText id="inscricaoMunicipal" value="#{filialBean.filial.inscricaoMunicipal}" styleClass="estilo-campo" />
				<p:message for="inscricaoMunicipal" display="icon" />

				<p:outputLabel for="crt" value="#{msg.cadastro_filial_selectonemenu_crt}" styleClass="estilo-campo" />
				<p:selectOneMenu id="crt" value="#{filialBean.filial.crt}" styleClass="estilo-campo">
					<f:selectItem itemLabel="#{msg.cadastro_selectitem_vazio}" />
					<f:selectItems value="#{filialBean.tiposSimplesNacional}" var="codigoCRT" itemValue="#{codigoCRT}" itemLabel="#{codigoCRT.descricao}" />
				</p:selectOneMenu>
				<p:tooltip for="crt" value="#{msg.cadastro_filial_selectitem_dica_crt}" showEffect="clip" hideEffect="explode" trackMouse="true" />

				<p:outputLabel for="crtIssqn" value="#{msg.cadastro_filial_crt_issqn}" styleClass="estilo-campo" />
				<p:selectOneMenu id="crtIssqn" value="#{filialBean.filial.crtIssqn}" styleClass="estilo-campo">
					<f:selectItem itemLabel="#{msg.cadastro_selectitem_vazio}" />
					<f:selectItems value="#{filialBean.tiposSimplesNacionalIssqn}" var="codigoCRTISSQN" itemValue="#{codigoCRTISSQN}" itemLabel="#{codigoCRTISSQN.descricao}" />
				</p:selectOneMenu>
				<p:message for="crtIssqn" display="icon" />

				<p:outputLabel for="responsavel" value="#{msg.cadastro_filial_responsavel}" styleClass="estilo-campo" />
				<p:inputText id="responsavel" value="#{filialBean.filial.responsavel}" styleClass="estilo-campo" />
				<p:message for="responsavel" display="icon" />

				<p:outputLabel for="ramo" value="#{msg.cadastro_filial_selectonemenu_ramo}" styleClass="estilo-campo" />
				<p:selectOneMenu id="ramo" value="#{filialBean.filial.ramo}" styleClass="estilo-campo">
					<f:selectItem itemLabel="#{msg.cadastro_selectitem_vazio}" />
					<f:selectItems value="#{filialBean.ramo}" var="ramo" itemValue="#{ramo}" itemLabel="#{ramo.descricao}" />
				</p:selectOneMenu>
				<p:message for="ramo" display="icon" />

				<p:outputLabel for="site" value="#{msg.cadastro_filial_site}" styleClass="estilo-campo" />
				<p:inputText id="site" value="#{filialBean.filial.site}" styleClass="estilo-campo" />
				<p:message for="site" display="icon" />

				<p:outputLabel for="logo" value="#{msg.cadastro_filial_logo}" styleClass="estilo-campo" />
				<p:fileUpload id="logo" mode="simple" label="#{msg.botao_carregar}" value="#{filialBean.uploadArquivo}" />
				<p:commandLink id="visualizarLogo" process="@this">
					<p:outputLabel value="#{msg.link_visualizar}" />
				</p:commandLink>
				<p:overlayPanel id="ouverlayPanelLogo" for="visualizarLogo" hideEffect="fade">
					<p:graphicImage url="" value="#{filialBean.logo}" />
				</p:overlayPanel>
			</p:panelGrid>
		</h:form>

		<p:tabView style="margin-top: 10px; background-color: #ffffff; border: 0px;" id="tabViewOpcoes">
			<p:tab title="#{msg.tabview_cadastro_filial_tab_endereco}">
				<ui:include src="/filiais/enderecoFilial.xhtml" />
			</p:tab>
			<p:tab title="#{msg.tabview_cadastro_filial_tab_contato}">
				<ui:include src="/filiais/contatoFilial.xhtml" />
			</p:tab>
			<p:tab title="#{msg.tabview_cadastro_filial_tab_telefone}">
				<ui:include src="/filiais/telefoneFilial.xhtml" />
			</p:tab>
			<p:tab title="#{msg.tabview_auditoria}">
				<ui:include src="/filiais/auditoriaFilial.xhtml" />
			</p:tab>
		</p:tabView>
	</ui:define>
</ui:composition>